## multimac 1.0.3

=== Makefile ===
CC=gcc
CFLAGS=-g -O -Wall -I.. -D_REENTRANT
LIBPTHREAD=-lpthread

PROGS=multimac

all: $(PROGS)

.c:
	$(CC) $(CFLAGS) -o $* $*.c $(LIBPTHREAD)
#	killall multimac || true

$(PROGS):

clean:
	rm -f $(PROGS)

=== debian/changelog ===
multimac (1.0.3-1kali3) kali-dev; urgency=medium

  * d/watch: Add a fake watch so we don't track this package.

 -- Steev Klimaszewski <steev@kali.org>  Sun, 09 Apr 2023 15:57:46 -0500

multimac (1.0.3-1kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Steev Klimaszewski ]
  * d/watch: Add debian watch file to check for updates
  * d/control: Add shlibs dependency
  * Update standards version to 4.6.2, no changes needed.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 30 Jan 2023 12:59:30 -0600

multimac (1.0.3-1kali1) kali-dev; urgency=medium

  [ Devon Kearns ]
  * Edited install depends

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update packaging

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Dec 2020 10:21:08 +0100

multimac (1.0.3-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Wed, 09 Jan 2013 06:30:00 -0700

=== debian/control ===
Source: multimac
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://sourceforge.net/projects/multimac/
Vcs-Git: https://gitlab.com/kalilinux/packages/multimac.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/multimac

Package: multimac
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Create multiple MACs on an adapter
 Multimac is a linux virtual ethernet tap allocator to
 emulate and use multiple virtual interfaces (with different
 MAC addresses) on a LAN using a single network adapter.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	dh_installdirs
	install multimac $(CURDIR)/debian/multimac/usr/bin/

=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
#opts="filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1\.tar\.gz%" \
#http://sf.net/multimac/ multimac/(\d\S+)/multimac\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
opts=dversionmangle=s/.*/0.No-Track/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz
